#!/usr/bin/env python3
# -*- coding: utf-8 -*-
from pathlib import Path
from .global_variables import GIT_URL, DOCS, DATATEST_URL_FILES, SINGULARITY_URL_FILES
from RNAja.module import Rnaja

logo = Path(__file__).parent.resolve().joinpath('RNAja.png').as_posix()

__version__ = Path(__file__).parent.resolve().joinpath("VERSION").open("r").readline().strip()


__doc__ = """ """

description_tools = f"""
    Welcome to RNAja version: {__version__} ! Forked on january 2024 from RNAja gitlab
    @author: Aurore Comte (IRD), Christine Tranchant-Dubreuil (IRD), Julie Orjuela (IRD)
    @email: aurore.comte@ird.fr, christine.tranchant@ird.fr, julie.orjuela@ird.fr

    Please cite our github: GIT_URL
    Licenced under GPLv3 and Intellectual property belongs to IRD and authors.
    Documentation avail at: DOCS"""

dico_tool = {
    "soft_path": Path(__file__).resolve().parent.as_posix(),
    "url": GIT_URL,
    "docs": DOCS,
    "description_tool": description_tools,
    "singularity_url_files": SINGULARITY_URL_FILES,
    "datatest_url_files": DATATEST_URL_FILES,
    "snakefile": Path(__file__).resolve().parent.joinpath("snakefiles", "Snakefile"),
    "snakemake_scripts": Path(__file__).resolve().parent.joinpath("snakemake_scripts")
}
